%define name ldirectord
%define version 0.1
%define release 1mdk

Summary: Monitor and administer real servers in a LVS cluster of load balanced VS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.init
License: GPL
Group: System/Configuration/Networking
Url: http://www.vergenet.net/linux/ldirectord/
prereq: rpm-helper
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: noarch

%description
ldirectord is a daemon to monitor and administer real servers in a LVS cluster
of load balanced virtual servers. ldirectord typically used as a resource for
heartbeat , but can also be run from the command line.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/ha.d
mkdir -p %{buildroot}%{_sbindir}

bzip2 -v *.8

install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/ldirectord
cp -vf %{name}.8.bz2 %{buildroot}%{_mandir}/man8/
cp -vf supervise-%{name}-config.8.bz2 %{buildroot}%{_mandir}/man8/
cp -vf %{name}.cf %{buildroot}%{_sysconfdir}/ha.d/%{name}.cf
cp -vf %name %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
cp -vf supervise-%{name}-config %{buildroot}%{_sbindir}/supervise-%{name}-config
cp -vf %{name} %{buildroot}%{_sbindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %name

%preun
%_preun_service %name

%files
%defattr(-,root,root)
%doc README
/%{_initrddir}/%name
/%{_mandir}/man8/%{name}.8.bz2
/%{_mandir}/man8/supervise-%{name}-config.8.bz2
%config(noreplace) /%{_sysconfdir}/ha.d/%{name}.cf
/%{_sysconfdir}/logrotate.d/%{name}
%attr (755,root,root) /%{_sbindir}/supervise-%{name}-config
%attr (755,root,root) /%{_sbindir}/%{name}

%changelog
* Mon Mar 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 0.11mdk
- first release for Mandrakesoft.
